#
# spec file for package binutils (Version 2.11.90.0.29)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  dejagnu expect gpp libgpp tcl tetex texinfo
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         binutils
Copyright:    LGPL/GPL
Group:        Development/Tools
Obsoletes:    binuti_o
Prefix:	      /usr
Autoreqprov:  on
Version:      2.11.90.0.29
Release:      15
Summary:      GNU binutils
Source:       ftp://ftp.kernel.org/pub/linux/devel/binutils/binutils-%{version}.tar.bz2
Patch1:       binutils-altivec.patch 
Patch2:       combreloc.patch
Patch3:       alpha-relative.patch
BuildRoot:    %{_tmppath}/binutils-root

%description
C compiler utilities: ar, as, gasp, gprof, ld, nm,
objcopy, objdump, ranlib, size, strings, strip.
These utilities are needed whenever you want to
compile a program or a kernel.
This version has been compiled by SuSE with the corresponding
C library. It is not designed for cross-compiling to other
architectures.

Authors:
--------
    Alan Modra <amodra@one.net.au>
    Andreas Jaeger <aj@suse.de>
    Andreas Schwab <schwab@suse.de>
    Bill Cox <bill@cygnus.com>
    Brendan Kehoe <brendan@cygnus.com>
    D. V. Henkel-Wallace <gumby@cygnus.com>
    DJ Delorie <dj@redhat.com>
    David D "Zoo" Zuhn <zoo@cygnus.com>
    David J. Mackenzie <djm@cygnus.com>
    Denis Chertykov <denisc@overta.ru>
    Diego Novillo <dnovillo@redhat.com>
    Doug Evans <dje@cygnus.com>
    Eric Christopher <echristo@redhat.com>
    Eric Youngdale <eric@aib.com>
    Fred Fish <fnf@cygnus.com>
    Geoff Keating <geoffk@redhat.com>
    H.J.Lu <hjl@gnu.org>
    Hans-Peter Nilsson <hp@axis.com>
    Ian Dall <dall@hfrd.dsto.gov.au>
    Ian Taylor <ian@zembu.com>
    J.T. Conklin <jtc@cygnus.com>
    Jakub Jelinek <jakub@redhat.com>
    Jan Hubicka <jh@suse.cz>
    Jason Eckhardt <jle@redhat.com>
    Jason Merrill <jason@redhat.com>
    Jeff Law <law@redhat.com>
    Jeffrey Osier <jeffrey@cygnus.com>
    Jeffrey Wheat <cassidy@cygnus.com>
    Jim Kingdon <kingdon@cygnus.com>
    Jim Wilson <wilson@redhat.com>
    John Gilmore <gnu@cygnus.com>
    Jrn Rennecke <amylaar@redhat.com>
    K. Richard Pixley <rich@cygnus.com>
    Ken Raeburn <raeburn@cygnus.com>
    Kung Hsu <kung@cygnus.com>
    Mark Eichin <eichin@cygnus.com>
    Michael Meissner <meissner@redhat.com>
    Michael Tiemann <tiemann@cygnus.com>
    Mike Werner <mtw@cygnus.com>
    Nick Clifton <nickc@redhat.com>
    Per Bothner <bothner@cygnus.com>
    Peter Schauer <pes@regent.e-technik.tu-muenchen.de>
    Richard Earnshaw <rwe@pegasus.esprit.ec.org>
    Richard Henderson <rth@redhat.com>
    Richard Stallman <rms@gnu.org>
    Rob Savoye <rob@cygnus.com>
    Roland H. Pesch <pesch@wrs.com>
    Sean Eric Fagan <sef@cygnus.com>
    Stan Shebs <shebs@apple.com>
    Stephane Carrez <Stephane.Carrez@worldnet.fr>
    Steve Chamberlain <sac@cygnus.com>
    Stu Grossman <grossman@cygnus.com>
    Torbjorn Granlund <tege@cygnus.com>
    Ulf Carlsson <ulfc@calypso.engr.sgi.com>

SuSE series: d

%define HOST %(echo %{_target_cpu}|sed -e "s/i.86/i486/" -e "s/ppc/powerpc/")-suse-linux
%prep
%setup 
%patch1
%patch2
%patch3

%build
%ifarch sparc
ADDITIONAL_TARGETS="--enable-targets=sparc64-suse-linux"
%else
ADDITIONAL_TARGETS=""
%endif
mkdir build-dir
cd build-dir
CFLAGS="${RPM_OPT_FLAGS}" CC=gcc LDFLAGS="-s" ../configure --prefix=%{_prefix} \
	--enable-shared --with-gnu-ld --with-gnu-as --libdir=%{_libdir} \
	--infodir=%{_infodir} --mandir=%{_mandir} \
	--host=%{HOST} ${ADDITIONAL_TARGETS}
make
# Only run the testsuite on system we know it won't fail
%ifnarch ia64 sparc sparc64 alpha
test -e /.buildenv && . /.buildenv
if [ $BUILD_BASENAME != "beta-i386" ]; then
  make check
fi
%endif

%install
cd build-dir
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/{bin,lib}
make prefix=$RPM_BUILD_ROOT%{_prefix} infodir=$RPM_BUILD_ROOT%{_infodir} \
	mandir=$RPM_BUILD_ROOT%{_mandir}  libdir=$RPM_BUILD_ROOT%{_libdir} \
	install-info install
rm -rf $RPM_BUILD_ROOT%{_prefix}/%{HOST}/bin/*
mkdir -p $RPM_BUILD_ROOT%{_prefix}/%{HOST}/bin
ln -sf ../../bin/{ar,as,gasp,ld,nm,ranlib,strip} $RPM_BUILD_ROOT%{_prefix}/%{HOST}/bin
mv $RPM_BUILD_ROOT%{_prefix}/%{HOST}/lib/ldscripts $RPM_BUILD_ROOT%{_libdir}
ln -sf ../../lib/ldscripts $RPM_BUILD_ROOT%{_prefix}/%{HOST}/lib/ldscripts
chmod a+x $RPM_BUILD_ROOT%{_libdir}/libbfd-*
chmod a+x $RPM_BUILD_ROOT%{_libdir}/libopcodes-*
strip $RPM_BUILD_ROOT%{_bindir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%dir %{_prefix}/%{HOST}
%{_prefix}/%{HOST}/bin
%dir %{_prefix}/%{HOST}/lib
%{_prefix}/%{HOST}/lib/ldscripts
%{_libdir}/ldscripts
%{_bindir}/addr2line
%{_bindir}/ar
%{_bindir}/as
# c++filt is part of the gcc package
%{_bindir}/gasp
%{_bindir}/gprof
%{_bindir}/ld
%{_bindir}/nm
%{_bindir}/objcopy
%{_bindir}/objdump
%{_bindir}/ranlib
%{_bindir}/readelf
%{_bindir}/size
%{_bindir}/strings
%{_bindir}/strip
/usr/include/ansidecl.h
/usr/include/bfd.h
/usr/include/bfdlink.h
%doc %{_infodir}/as.info-*.gz
%doc %{_infodir}/as.info.gz
%doc %{_infodir}/bfd.info-*.gz
%doc %{_infodir}/bfd.info.gz
%doc %{_infodir}/binutils.info-*.gz
%doc %{_infodir}/binutils.info.gz
%doc %{_infodir}/gasp.info.gz
%doc %{_infodir}/gprof.info.gz
%doc %{_infodir}/gprof.info-*.gz
%doc %{_infodir}/ld.info-*.gz
%doc %{_infodir}/ld.info.gz
%{_libdir}/libbfd.so
%{_libdir}/libbfd.a
%{_libdir}/libbfd.la
%{_libdir}/libbfd-%{version}.so
%{_libdir}/libiberty.a
%{_libdir}/libopcodes.a
%{_libdir}/libopcodes.la
%{_libdir}/libopcodes.so
%{_libdir}/libopcodes-%{version}.so
%doc %{_mandir}/man1/addr2line.1.gz
%doc %{_mandir}/man1/ar.1.gz
%doc %{_mandir}/man1/as.1.gz
%doc %{_mandir}/man1/gprof.1.gz
%doc %{_mandir}/man1/ld.1.gz
%doc %{_mandir}/man1/nlmconv.1.gz
%doc %{_mandir}/man1/nm.1.gz
%doc %{_mandir}/man1/objcopy.1.gz
%doc %{_mandir}/man1/objdump.1.gz
%doc %{_mandir}/man1/ranlib.1.gz
%doc %{_mandir}/man1/size.1.gz
%doc %{_mandir}/man1/strings.1.gz
%doc %{_mandir}/man1/strip.1.gz

%changelog -n binutils
* Mon Sep 03 2001 - aj@suse.de
- Fix relative relocations on Alpha.
* Thu Aug 30 2001 - aj@suse.de
- Update to binutils 2.11.90.0.29.  It includes support for 64-bit
  PowerPC.
* Mon Aug 27 2001 - aj@suse.de
- Update to current CVS version and include patch to always enable
  sorting of relocations.  Together with the new glibc this reduces
  relocation processing at program startup significantly.
* Wed Aug 22 2001 - aj@suse.de
- Use AltiVec/PPC patch.
- Revert objdump patch that causes sparc kernel build failure.
- Add missing s390 jump instructions.
- Fix bug with unaligned accesses in the sparc assembler.
* Fri Aug 17 2001 - egger@suse.de
- Added patch for missing AltiVec/PPC opcodes.
* Thu Aug 16 2001 - aj@suse.de
- Update to 2.11.90.0.27, fix s390 relocation generation.
* Tue Jul 17 2001 - aj@suse.de
- Update to binutils 2.11.90.0.24.
* Wed Jul 11 2001 - aj@suse.de
- Update to binutils 2.11.90.0.23.
* Wed Jun 13 2001 - aj@suse.de
- Run testsuite on s390.
* Tue Jun 12 2001 - aj@suse.de
- Update to binutils 2.11.90.0.15.
* Mon May 14 2001 - aj@suse.de
- Update to binutils 2.11.90.0.8.
* Mon May 07 2001 - aj@suse.de
- Update to latest version.
* Thu Mar 29 2001 - aj@suse.de
- Fix a relaxation bug on ia32 that occurs while building GCC.
* Tue Mar 27 2001 - aj@suse.de
- Test for alpha instead of axp.
* Mon Mar 26 2001 - aj@suse.de
- Add patch for S390 to fix relocs.
* Mon Mar 26 2001 - aj@suse.de
- The testsuite is broken on axp, disable it.
* Thu Mar 08 2001 - aj@suse.de
- Use separate build directory, don't run testsuite on sparc.
* Mon Mar 05 2001 - aj@suse.de
- Update to 2.10.91.0.4.
* Thu Feb 22 2001 - aj@suse.de
- Run the testsuite on some platforms.
* Tue Feb 20 2001 - aj@suse.de
- Add sparc fix for weak symbols.
* Mon Feb 19 2001 - aj@suse.de
- Update to 2.10.91.0.2.
* Thu Nov 16 2000 - aj@suse.de
- Added an alpha patch to fix glibc problems.
* Mon Oct 23 2000 - aj@suse.de
- Update to 2.10.0.33.
- Remove PPC patch since it's solved better in .33.
* Sun Oct 15 2000 - kukuk@suse.de
- Update to binutils 2.10.0.31
- Port s390 patches
- Add PPC patch to fix glibc 2.2 problems
* Thu Sep 14 2000 - kukuk@suse.de
- Use macros in spec file
* Tue Aug 29 2000 - aj@suse.de
- New version 2.10.0.24 with additional s390 patches.
* Mon Apr 17 2000 - ro@suse.de
- added alpha3.dif to fix another problem with compaq compilers
* Sat Mar 18 2000 - aj@suse.de
- Fix problems with Compaq compiler, see:
  http://sourceware.cygnus.com/ml/binutils/2000-03/msg00226.html
  http://sourceware.cygnus.com/ml/binutils/2000-03/msg00160.html
* Mon Mar 13 2000 - aj@suse.de
- Added readelf to file list.
* Mon Feb 28 2000 - ro@suse.de
- fix HOST macro
- added alpha fix from Andrea
* Thu Jan 20 2000 - aj@suse.de
- New version 2.9.5.0.24.
* Thu Dec 09 1999 - ro@suse.de
- leave targets for now
* Wed Dec 08 1999 - kasal@suse.de
- added buildroot
  (it required a patch to target ld/Makefile.am, target install-data-local)
* Tue Nov 23 1999 - kasal@suse.de
- backported sparc patch from cvs version of binutils
- added note that geo@suse.cz can make NLMs
* Tue Nov 16 1999 - kukuk@suse.de
- Remove broken Sparc as patch, add bfd patch for sparc32
* Wed Nov 10 1999 - kukuk@suse.de
- spec file cleanup, add support for Sparc
- Remove dependency for bin86, not longer necessary
* Tue Nov 09 1999 - uli@suse.de
- added PPC-specific files to %%files section
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 24 1999 - uli@suse.de
- fixed Makefile.Linux for PPC
* Fri May 28 1999 - ro@suse.de
- update to .25
* Thu Apr 08 1999 - ro@suse.de
- update to .23
* Mon Mar 29 1999 - ro@suse.de
- remove hacks and install libiberty.a in /usr/lib
* Sun Mar 14 1999 - ro@suse.de
- libtool tries to be smart dropping the link -liberty
  try to be smarter: changed "-liberty" to "../libiberty/libiberty.a"
* Fri Mar 05 1999 - ro@suse.de
- update to 2.9.1.0.22b FOR NOW AXP ONLY
- libnaming changed
* Fri Feb 19 1999 - ro@suse.de
- update to 2.9.1.0.20
* Mon Jan 11 1999 - ro@suse.de
- adapted specfile to build on alpha, too
- added ansidecl.h to filelist for glibc
* Mon Nov 02 1998 - ro@suse.de
- update to 2.9.1.0.15
* Fri Sep 11 1998 - ro@suse.de
- switch detection of GLIBC to automake
* Tue Jul 07 1998 - ro@suse.de
- pack files depending on used libc / compile a.out for libc5
* Wed May 20 1998 - bs@suse.de
- took c++filt off from file list (is included in egcs)
* Wed May 06 1998 - florian@suse.de
- update to binutils 2.9.1.0.4
* Tue Jul 29 1997 - florian@suse.de
- the a.out-assembler was not installed correctly by "make install"
* Wed Jun 25 1997 - florian@suse.de
- add bug-fixes from gnu.utils.bugs
* Sun Jun 08 1997 - florian@suse.de
- always remove /usr/bin/encaps
- update to version 2.8.1 with fixes by H.J. Lu
* Thu Jan 02 1997 - florian@suse.de
- Update auf Version 2.7.0.3. Sollte jetzt als normales binutils-Paket
  installiert sein. 2.6.* hoechstens unter unsorted...
